Subject: Re: [net-next PATCH v3 03/13] Documentation: leds: leds-class: Document new Hardware driven LEDs APIs

From: Bagas Sanjaya <[email-masked]>
Date: Mon, 29 May 2023 15:10:15 +0700

On Sat, May 27, 2023 at 01:28:44PM +0200, Christian Marangi wrote:
> +     - hw_control_set:
> +                activate hw control. LED driver will use the provided
> +                flags passed from the supported trigger, parse them to
> +                a set of mode and setup the LED to be driven by hardware
> +                following the requested modes.
> +
> +                Set LED_OFF via the brightness_set to deactivate hw control.
> +
> +                Return 0 on success, a negative error number on flags apply
> +                fail.
		   "... on failing to apply flags."

> +    - hw_control_get_device:
> +                return the device associated with the LED driver in
> +                hw control. A trigger might use this to match the
> +                returned device from this function with a configured
> +                device for the trigger as the source for blinking
> +                events and correctly enable hw control.
> +                (example a netdev trigger configured to blink for a
> +                particular dev match the returned dev from get_device
> +                to set hw control)
> +
> +                Return a device or NULL if nothing is currently attached.
Returns a device name?

> +
> +LED driver can activate additional modes by default to workaround the
> +impossibility of supporting each different mode on the supported trigger.
> +Example are hardcoding the blink speed to a set interval, enable special
"Examples are hardcoding ..."

Thanks.

-- 
An old man doll... just what I always wanted! - Clara